com.rscja

## Class CWDeviceInfo

- java.lang.Object
- - com.rscja.CWDeviceInfo

-     public class CWDeviceInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `C5_6765`
    `static java.lang.String` | `C60_MTK_6765_110`
    `static java.lang.String` | `C60_QCM2150_100`
    `static java.lang.String` | `C60_SMD450_100`
    `static java.lang.String` | `C6000_6735`
    `static java.lang.String` | `C6000_6762`
    `static java.lang.String` | `C61_SMD450_90`
    `static java.lang.String` | `C61P_SM6115_110`
    `static java.lang.String` | `C66_8953`
    `static java.lang.String` | `C66_SMD450_90`
    `static java.lang.String` | `C66P_SM6115_110`
    `static java.lang.String` | `C70_6735`
    `static java.lang.String` | `C70_6763`
    `static java.lang.String` | `C70_6765`
    `static java.lang.String` | `C71_6763`
    `static java.lang.String` | `C71_6765`
    `static java.lang.String` | `C72_6735`
    `static java.lang.String` | `C72_6763`
    `static java.lang.String` | `C72_6765`
    `static java.lang.String` | `C75_6765`
    `static java.lang.String` | `C76_6735`
    `static java.lang.String` | `C76_6765`
    `static java.lang.String` | `C90_6762_10`
    `static java.lang.String` | `CW102_6761`
    `static java.lang.String` | `CW103_6765`
    `static java.lang.String` | `CW107_6762`
    `static java.lang.String` | `CW108_8781`
    `static java.lang.String` | `CW108_8791`
    `static java.lang.String` | `CW95_6762`
    `static java.lang.String` | `H100_6735`
    `static java.lang.String` | `H100_8953`
    `static java.lang.String` | `MC50_4350_120`
    `static java.lang.String` | `MC51_4350_120`
    `static java.lang.String` | `P80_8786_130`
    `static java.lang.String` | `P80_8953`
    `static java.lang.String` | `P80_8953_90`
    `static java.lang.String` | `PLATFORM_MTK`
    `static java.lang.String` | `PLATFORM_QCOM`
    `static int` | `TEAM_MTK`
    `static int` | `TEAM_QCOM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCpuType()`
    `static CWDeviceInfo` | `getDeviceInfo()`
    `java.lang.String` | `getModel()`
    `java.lang.String` | `getModelAndCpu()`
    `java.lang.String` | `getPlatform()`
    `int` | `getTeam()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### P80_8786_130

          public static final java.lang.String P80_8786_130

      See Also:
        Constant Field Values

    - #### P80_8953

          public static final java.lang.String P80_8953

      See Also:
        Constant Field Values

    - #### P80_8953_90

          public static final java.lang.String P80_8953_90

      See Also:
        Constant Field Values

    - #### H100_8953

          public static final java.lang.String H100_8953

      See Also:
        Constant Field Values

    - #### C66_8953

          public static final java.lang.String C66_8953

      See Also:
        Constant Field Values

    - #### C66P_SM6115_110

          public static final java.lang.String C66P_SM6115_110

      See Also:
        Constant Field Values

    - #### C61_SMD450_90

          public static final java.lang.String C61_SMD450_90

      See Also:
        Constant Field Values

    - #### C61P_SM6115_110

          public static final java.lang.String C61P_SM6115_110

      See Also:
        Constant Field Values

    - #### C66_SMD450_90

          public static final java.lang.String C66_SMD450_90

      See Also:
        Constant Field Values

    - #### C60_SMD450_100

          public static final java.lang.String C60_SMD450_100

      See Also:
        Constant Field Values

    - #### C60_QCM2150_100

          public static final java.lang.String C60_QCM2150_100

      See Also:
        Constant Field Values

    - #### C60_MTK_6765_110

          public static final java.lang.String C60_MTK_6765_110

      See Also:
        Constant Field Values

    - #### MC50_4350_120

          public static final java.lang.String MC50_4350_120

      See Also:
        Constant Field Values

    - #### MC51_4350_120

          public static final java.lang.String MC51_4350_120

      See Also:
        Constant Field Values

    - #### C6000_6735

          public static java.lang.String C6000_6735

    - #### H100_6735

          public static java.lang.String H100_6735

    - #### C70_6735

          public static java.lang.String C70_6735

    - #### C72_6735

          public static java.lang.String C72_6735

    - #### C76_6735

          public static java.lang.String C76_6735

    - #### C70_6763

          public static java.lang.String C70_6763

    - #### C71_6763

          public static java.lang.String C71_6763

    - #### C72_6763

          public static java.lang.String C72_6763

    - #### C70_6765

          public static java.lang.String C70_6765

    - #### C71_6765

          public static java.lang.String C71_6765

    - #### C72_6765

          public static java.lang.String C72_6765

    - #### C75_6765

          public static java.lang.String C75_6765

    - #### C76_6765

          public static java.lang.String C76_6765

    - #### C5_6765

          public static java.lang.String C5_6765

    - #### CW103_6765

          public static java.lang.String CW103_6765

    - #### C6000_6762

          public static final java.lang.String C6000_6762

      See Also:
        Constant Field Values

    - #### C90_6762_10

          public static final java.lang.String C90_6762_10

      See Also:
        Constant Field Values

    - #### CW95_6762

          public static final java.lang.String CW95_6762

      See Also:
        Constant Field Values

    - #### CW102_6761

          public static final java.lang.String CW102_6761

      See Also:
        Constant Field Values

    - #### CW107_6762

          public static final java.lang.String CW107_6762

      See Also:
        Constant Field Values

    - #### CW108_8781

          public static final java.lang.String CW108_8781

      See Also:
        Constant Field Values

    - #### CW108_8791

          public static final java.lang.String CW108_8791

      See Also:
        Constant Field Values

    - #### PLATFORM_MTK

          public static final java.lang.String PLATFORM_MTK

      See Also:
        Constant Field Values

    - #### PLATFORM_QCOM

          public static final java.lang.String PLATFORM_QCOM

      See Also:
        Constant Field Values

    - #### TEAM_MTK

          public static final int TEAM_MTK

      See Also:
        Constant Field Values

    - #### TEAM_QCOM

          public static final int TEAM_QCOM

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCpuType

          public java.lang.String getCpuType()

    - #### getModel

          public java.lang.String getModel()

    - #### getPlatform

          public java.lang.String getPlatform()

    - #### getTeam

          public int getTeam()

    - #### getModelAndCpu

          public java.lang.String getModelAndCpu()

    - #### getDeviceInfo

          public static CWDeviceInfo getDeviceInfo()